Subject: Re: bug#64311: [PATCH] Fix shell-dirtrack-mode showing up as enabled in unrelated buffers

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Jul 2023 16:36:01 -0400

>> FWIW, my take on the root cause is that I made a mistake in commit
>> 05327ca9724287cc3da4c625f180da5ab11be998 where I forgot to remove the
>> `defvar` of `shell-dirtrackp` (and I swapped the args to `defvaralias`).
>
> The problem here for me is that this mistake was made long ago, and by
> now there could be people out there who actually rely on this
> problematic alias.

None of the patches I've seen remove the alias, AFAICT.
Some reverse the direction but I'm hard pressed to imagine a way for
code to be affected by this (unless they call `indirect-variable`,
obviously).

> The original patch makes a backward-incompatible change, which for me
> is a significant disadvantage.

I don't know what backward-incompatible you're referring to.

        Stefan